

function Assemble;
include_variables;

% We go through each truss element, compute its stiffness and then perform
% the assebmly process 

ldof = nen*ndof;       % degrees of freedom in each element 
                       % (number of nodes x number of degrees of freedom
                       % in each node)

for elmID = 1 : nel
   
   Ke = zeros(ldof);                  % initialize element stiffness matrix
   fe = zeros(ldof,1);                % initialize element load vector
   
   [Ke,fe] = BeamElement(elmID, Ke, fe);
      
   AssembleGlobalMatrix(elmID,Ke,fe); % Place the element stiffness in the 
                                      % global matrix
   
end

clear Ke fe;

% Once the global stiffness is computed, we generate its sparse format
% Constructs the global stiffness matrix in sparse format using I,J,K

K = sparse(I(1:ntriplets), J(1:ntriplets), X(1:ntriplets), neq, neq);

clear global I J X