
function [Ke, fe] = BeamElement(elmID, Ke, fe)

include_variables;

% Generates the element equations (stiffness and load) for a beam element
 
glb1 = Elems(1,elmID);            % Extract the global node numbers
glb2 = Elems(2,elmID);

L = Nodes(glb2) - Nodes(glb1);    % Extract the length of the element

elmEI = EI(elmID);                % elmID -- element number
elmp  = p (elmID);

Ke = elmEI/L^3*[12,      6*L,     -12,      6*L;     
               6*L,    4*L^2,    -6*L,    2*L^2;
               -12,     -6*L,      12,     -6*L;
               6*L,    2*L^2,    -6*L,    4*L^2];

fe = elmp*L/2* [1; L/6; 1; -L/6]; % Here, we assume constant q in each element
                                  % Adjust if otherwise. 