
function InputData;

include_variables;

% Add your problem dependent input information: Loads/moments and their
% directions, EI, etc.

% We use international units for all variables: Force in Nt, areas in m*m, 
% Youngs modulus in Pa, displacements and lengths in m, etc.

ndist = (nel-1)/2;                 % Extract the number of elements in each 
                                   % L region

f(ndist*ndof + 1)   = -10;         % Define the load vector (note loads come in form
f(2*ndist*ndof +1)  =   5;         % of concentrated forces and moments). For a node, the
f((nno-1)*ndof + 1) = -20;         % first DOF is force and the 2nd DOF is
f((nno-1)*ndof + 2) =  20;         % moment for the load vector.
                                   % E.g.Here, we apply a vertical downwards
                                   % force at node 2 (see Figure in problem description). 
                                   
EI = ones(nel,1)*10^4;             % EI = modulus of elasticity times I 
                                   % for each element (use E in Pa, I in
                                   % m*m)

p = [-ones(nel-1,1);0];            % p = distributed node (in Nt/m)
     

%-----------------------------------------------------------------------
% Define essential (displacement and slope) 
% boundary conditions. You should adjust it for each 
% particular example that you consider. 

% debc    -- The vector of degrees of freedom with essential
%            boundary conditions (recall for beam elements 
%            you have 2 DOF per node)
% ebcVals -- The vector of values of essential boundary
%            conditions.
%

debc = [1, 2];                % Define the list of DOF which have 
                                 % essential boundary conditions


ebcVals = zeros(length(debc),1); % The specified values of the essential 
                                 % boundary conditions
