
function grid_Beam;

include_variables;

% This is an example generating a three-element beam grid
% (see attached PDF file showing a figure of the example
% problem).
% Adjust this file as needed for your applications. 

% At least we place a node at the application of load P_1 

n   = 1;            % number of elements in each L region 
nel = 2*n+1;        % number of total elements
nno = nel + 1;      % number of total nodes
nen = 2;            % number of nodes on each element

L = 4;              % Use m for distances
 
Nodes = [linspace(0,2*L,nno-1),3*L];  % Define the node position. 
                    % Note that in this example problem we only use
                    % 2 elements in the part of the beam with distributed
                    % load. More beam elements are needed there for higher 
                    % accuracy. You can change n accordingly.
          
Elems=[1:(nno-1);   % Define the global node number
       2: nno];     % (connectivity) in each beam element
                    % Pay attention on how this connectivity
                    % matrix is defined (so you dont use its transpose
                    % instead!) 
                    % global node number = Elems(local node number, element number) 

